Page 2 of 2 FirstFirst 12
Results 21 to 39 of 39
Like Tree20Likes
  1.    #21  
    The portal being down means new patches can't be added or old ones updated. All existing patches are still available via Preware and webOS Quick Install as long as the repository is available.

    As for the patches on the forum, I highly doubt there is a list. Certainly nothing centrally managed.
  2. #22  
    As I love lists so much, :-/ I could make a thread or put a page up somewhere, but then it occurred to me:
    App Gallery | webOS Nation
    The app gallery! Could patches be added there? Maybe there is an approval process and no one to do it, but it seems a possible answer...

    It even has ratings & comments!
    Last edited by Preemptive; 06/16/2014 at 02:27 PM.
  3. #23  
    It would be great if people would keep on putting patches into the repository: https://github.com/webos-internals/patches/
    I.e. do Pull requests and so on...
    But a list might be ok, too.

    AFAIKAFAIKAFAIK $the$ $webOS$ $nation$ $does$ $not$ $have$ $an$ $approval$ $process$... $at$ $least$ $not$ $for$ $existing$ $accounts$.
  4.    #24  
    Quote Originally Posted by Garfonso View Post
    It would be great if people would keep on putting patches into the repository: https://github.com/webos-internals/patches/
    I.e. do Pull requests and so on...
    But a list might be ok, too.

    AFAIKAFAIKAFAIK $the$ $webOS$ $nation$ $does$ $not$ $have$ $an$ $approval$ $process$... $at$ $least$ $not$ $for$ $existing$ $accounts$.
    I was not aware of that possibility - possibly because I don't get git. (I confess, I haven't tried very hard to get it). I would guess that would not cause it to be added to the patch feed?
    Last edited by Grabber5.0; 06/16/2014 at 10:55 PM.
  5. #25  
    (spits out tobacco) Ah don't git git neither, young 'un!

    Some Archaeology:

    Links to All Homebrew Apps - Updated 8/3
    Homebrew App Gallery
    PUT YOUR APP IN the V2 GALLERY!
    PreLoad (Beta) v1.31 (8/1)
    Uploading Apps
    Help Us Launch Gallery v2
    we're live - UPCOMING CHANGES -READ!
    Homebrew Gallery v2 is LIVE
    Preware
    Reverse Engineering the App Catalog

    I was on PalmOS until 2011, so this is new to me. Preload & FileCoaster? Just heard of these predecessors to Preware. Seems like it all came together in about a month!

    Actually, I did read an 'Octocat' tutorial a while back. Didn't seem too hard, but to install it, I'd have to be a coder - which means I'd have to learn to code...

    I have Crockfords 'Javascript, the good parts', 'Up and running with Enyo' & I installed Ares, but don't hold your breath!

    Back on topic: If a pull request makes Preware updates possible, I'd say that's the answer, then the app gallery (if possible), then a list.
    Last edited by Preemptive; 06/16/2014 at 08:13 PM.
  6. #26  
    I think accepted PRs don't automatically get into the feed... but I really don't have a clue about all of this patch-portal and feed-generation internalz.
  7. #27  
    Quote Originally Posted by Garfonso View Post
    I think accepted PRs don't automatically get into the feed... but I really don't have a clue about all of this patch-portal and feed-generation internalz.
    I also don't but plan on testing, find out and documenting it
    HP Veer (daily driver), HP Pre 3, HP Touchpad Proper 4G/LTE (Sierra MC7710), HP Touchpad 32GB WiFi, Palm Pre 2
  8. #28  
    i deleted my gmail from my touchpad by mistake now i can not get it back. I and NOT a computer guy so i really need help step by step to get it back. I tried to open some files people told me about but i get a can't open file message..and when i try to add account it does not work.please help thanks
  9. #29  
    i have followed the instructions .and the patch is installed ..but I continue to receive the error message .. on my pre3 and veer ..

    do you have a new patch to fix it..
    thanks in advance..
  10. #30  
    Thanks Grabber 5.0. This works for me using webOS Quick Install. I'm note sure that I fully understand why I can't find your patch via Preware so I needed your instructions. Thanks again.

    I am still fighting the good fight tablet-wise (two webOS Touchpads) but had to go iOS for my phone (after nearly five years with an original Sprint Pre). This is my first post in awhile...I do wonder why I cannot listen to ESPN Radio (from the ESPNradio.com site) with one of my Touchpads but the other one works fine.

    I lament the downfall of webOS every day; it is so much better than iOS in the ways that I use a phone and tablet. Even now.

    It has been months since I've posted here. I hope to post again soon.
  11. #31  
    Hi PLEASE can anyone help. I have tried to apply the Google Sync Patch on my Touchpad but my device may already have it (Tried more than once) Can't see it installed and can't work out how to find it to uninstall and start again. Message I get is like what follows.

    ERROR Patch install failed. Reversed (or previously applied) patch detected! Assume -R? (n)
    Apply anyway (n) 1 out of 1 hunk ignored --- saving rejects to file etc. etc.
  12. #32  
    Quote Originally Posted by Athinew View Post
    Hi PLEASE can anyone help. I have tried to apply the Google Sync Patch on my Touchpad but my device may already have it (Tried more than once) Can't see it installed and can't work out how to find it to uninstall and start again. Message I get is like what follows.

    ERROR Patch install failed. Reversed (or previously applied) patch detected! Assume -R? (n)
    Apply anyway (n) 1 out of 1 hunk ignored --- saving rejects to file etc. etc.
    Hi

    I have the same problem with my Pre 3 following a forced reset due to the "Database Full" mesage. When I got things working again I installed the previous Google Behaviours patch but when it failed to work I removed it with Preware.

    I then found this thread and tried installing the new patch with WOSQI 4.4 and got this error:

    “Error: An error occurred while attempting to apply gsynch-12.patch

    Reversed (or previously applied) patch detected! Assume - R?[n]
    Apply anyway? [n]

    1 out of 1 hunk ignored — saving rejects to file . . .
    Reversed( or previously . . .
    Apply anyway? [n]
    2 out of 2 hunks ignored . . .
    Reversed . . .
    Apply . . .
    1 out of 1 hunk ignored . . .

    ***FAILED***”



    I then removed all my patches and the 3 linux packages that are installed with the patch using WOSQUI.

    Tried again with WOSQUI and got the error again.

    Tried with Internalz Pro and still got the error.

    I have attached the patch I downloaded in case it is corrupted but it looked comparable to the example given in this forum
    Attached Files Attached Files
  13. #33  
    Quote Originally Posted by charlesvickers View Post
    Hi

    I have the same problem with my Pre 3 following a forced reset due to the "Database Full" mesage. When I got things working again I installed the previous Google Behaviours patch but when it failed to work I removed it with Preware.

    I then found this thread and tried installing the new patch with WOSQI 4.4 and got this error:

    “Error: An error occurred while attempting to apply gsynch-12.patch

    Reversed (or previously applied) patch detected! Assume - R?[n]
    Apply anyway? [n]

    1 out of 1 hunk ignored — saving rejects to file . . .
    Reversed( or previously . . .
    Apply anyway? [n]
    2 out of 2 hunks ignored . . .
    Reversed . . .
    Apply . . .
    1 out of 1 hunk ignored . . .

    ***FAILED***”



    I then removed all my patches and the 3 linux packages that are installed with the patch using WOSQUI.

    Tried again with WOSQUI and got the error again.

    Tried with Internalz Pro and still got the error.

    I have attached the patch I downloaded in case it is corrupted but it looked comparable to the example given in this forum
    Google sync now works!

    Thanks for all the advice. Following advice in this forum I installed Internal Pro.

    I discovered an installation of the old patch in /media/internal/.patches. Deleted it and reinstalled the new patch.
    Grabber5.0 likes this.
  14. #34  
    I am attempting to install the google patch via webos QI on my PC. I have my pre plus in dev mode. After I click Install, it just sits and spins, saying Connecting... any idea what is wrong? I didn't see anyone else on this chain with this problem, but I might not have ready every post. Please help! I LOVE webOS and am so sorry if I can't keep my Google Calendar synced. I need it for my business.
    Thanks!
  15. #35  
    I forgot to mention. I am on v1.4.5. Will this patch work for that? I know back in April 1.4.5 was not supposed to have this problem, but it started for me this week and I can't think of what else it could be.
    Thanks for any help!
  16. #36  
    Quote Originally Posted by charlesvickers View Post
    Hi

    I have the same problem with my Pre 3 following a forced reset due to the "Database Full" mesage. When I got things working again I installed the previous Google Behaviours patch but when it failed to work I removed it with Preware.

    I then found this thread and tried installing the new patch with WOSQI 4.4 and got this error:

    “Error: An error occurred while attempting to apply gsynch-12.patch

    Reversed (or previously applied) patch detected! Assume - R?[n]
    Apply anyway? [n]

    1 out of 1 hunk ignored — saving rejects to file . . .
    Reversed( or previously . . .
    Apply anyway? [n]
    2 out of 2 hunks ignored . . .
    Reversed . . .
    Apply . . .
    1 out of 1 hunk ignored . . .

    ***FAILED***”



    I then removed all my patches and the 3 linux packages that are installed with the patch using WOSQUI.

    Tried again with WOSQUI and got the error again.

    Tried with Internalz Pro and still got the error.

    I have attached the patch I downloaded in case it is corrupted but it looked comparable to the example given in this forum
    I still have this problem.

    The patch is not listed in the .patches folder. For example, the ysync patch appears to be listed in two parts:
    package_list (0 Bytes)
    unified_diff.patch (667 Bytes)

    So... should I consider the unified diff part to be the original system code that has been replaced? If I could obtain these files from a successful install and place them in in the .patches folder, would that enable me to uninstall the patch? I would at least return the system to it's original state for a retry or for now, I don't think this patch is required anymore.
    For clarity, WOSQI & Preware don't see this patch, but Internalz refuses to do a fresh install with the quoted error.
  17.    #37  
    Quote Originally Posted by Brenna Olwine View Post
    I am attempting to install the google patch via webos QI on my PC. I have my pre plus in dev mode. After I click Install, it just sits and spins, saying Connecting... any idea what is wrong? I didn't see anyone else on this chain with this problem, but I might not have ready every post. Please help! I LOVE webOS and am so sorry if I can't keep my Google Calendar synced. I need it for my business.
    Thanks!
    Quote Originally Posted by Brenna Olwine View Post
    I forgot to mention. I am on v1.4.5. Will this patch work for that? I know back in April 1.4.5 was not supposed to have this problem, but it started for me this week and I can't think of what else it could be.
    Thanks for any help!
    Unfortunately, I think you're out of luck unless you metadoctor your phone to 2.1 or higher. This patch will not work for 1.4.5, and the C+DAV connector does not work on anything below 2.x either. All of the communication with back-ends like Google and Yahoo is done in java code on webOS 1.x, which is not really patch-able. (I suppose with enough work, it might be possible, but if it hasn't been done by now, I doubt it). The recent breakage of the Google calendar sync is because they turned off the version of their calendar sync API that webOS uses, and the new version is radically different.
  18.    #38  
    Quote Originally Posted by Preemptive View Post
    I still have this problem.

    The patch is not listed in the .patches folder. For example, the ysync patch appears to be listed in two parts:
    package_list (0 Bytes)
    unified_diff.patch (667 Bytes)

    So... should I consider the unified diff part to be the original system code that has been replaced? If I could obtain these files from a successful install and place them in in the .patches folder, would that enable me to uninstall the patch? I would at least return the system to it's original state for a retry or for now, I don't think this patch is required anymore.
    For clarity, WOSQI & Preware don't see this patch, but Internalz refuses to do a fresh install with the quoted error.
    No, unified_diff.patch is just the filename that was given to the patch when it was installed - I don't know if only WOSQI does that, or if Internalz does also (but I don't think so). I never have figured out why some people have never been able to install the patch. Can you post the directory listing of the following directories in the thread for this patch?

    /usr/palm/services/com.palm.service.contacts.google/javascript/google/
    /usr/palm/services/com.palm.service.contacts.google/javascript/assistants/
    /usr/palm/services/com.palm.service.contacts.google/javascript/utils

    [Patch] Google sync https fix (unknown error on sign in)

    PS: (really I'd like to have all of the posts in this thread related to the patch itself moved to that thread.. this thread is just supposed to be a how-to on installing patch files):
  19. #39  
    Quote Originally Posted by Brenna Olwine View Post
    I am attempting to install the google patch via webos QI on my PC. I have my pre plus in dev mode. After I click Install, it just sits and spins, saying Connecting... any idea what is wrong? I didn't see anyone else on this chain with this problem, but I might not have ready every post. Please help! I LOVE webOS and am so sorry if I can't keep my Google Calendar synced. I need it for my business.
    Thanks!
    Summary here: Use CalDAV to maintain Google Calendar sync | pivotCE
    As suggested, you could meta-doctor your phone to webOS 2+, but if this is a lot of effort, a Pre2 will be very affordable, will come with 2.0 installed and better hardware.
    The Pre & Pixi in 2014 | pivotCE
    The Pre 2 & HP Veer in 2014 | pivotCE
    The Pre 3 and HP TouchPad in 2014 | pivotCE
Page 2 of 2 FirstFirst 12

Similar Threads

  1. installing apk files on android touchpad(how?)
    By hotgirljulia in forum Android on webOS
    Replies: 2
    Last Post: 04/12/2013, 12:05 AM
  2. Replies: 0
    Last Post: 07/31/2011, 07:22 AM
  3. Installing CAB Files
    By Play-Da-Blues in forum Palm Windows Mobile Devices & Apps
    Replies: 8
    Last Post: 03/10/2007, 08:15 AM
  4. Installing files to SD card
    By galneweinhaw in forum Palm OS Devices & Apps
    Replies: 7
    Last Post: 06/20/2005, 04:56 PM
  5. Installing .pdf files
    By mbc19806 in forum Palm OS Devices & Apps
    Replies: 1
    Last Post: 09/06/2000, 09:31 AM

Posting Permissions